An error occurs at Google Finance in EOD and intraday

ANYONE HERE WITH THE SAME... ISSUE... THANKS AMIQUOTE 3.27FGSDGSDGFF

Google Finance is obsolete (Google stopped the web site). AmiQuote 3.27 is obsolete.
Use 3.31 - most recent one:

1 Like